#!/bin/bash

RESULT=0

check-file() {
	local TARGET_FILE="$1"
	echo -n "Checking file $TARGET_FILE"
	if ! [ -f "$TARGET_FILE" ]; then
		echo " MISSING"
		return 1
	else
		echo " OK"
	fi
	return 0
}

if ! [ -d /usr/lib/python3/dist-packages/mkdocs ]; then
	echo "Cannot read /usr/lib/python3/dist-packages/mkdocs" >&2
	exit 1
fi

if ! [ -d /usr/share/doc/mkdocs ]; then
	echo "Cannot read /usr/share/doc/mkdocs" >&2
	exit 2
fi

echo "Checking mkdocs links:"
BASE_DIR="/usr/lib/python3/dist-packages/mkdocs"

check-file "$BASE_DIR/themes/mkdocs/css/font-awesome.min.css" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/fontawesome-webfont.eot" || RESULT=3
check-file "$BASE_DIR/themes/readthedocs/fonts/fontawesome-webfont.eot" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/FontAwesome.otf" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/fontawesome-webfont.svg" || RESULT=3
check-file "$BASE_DIR/themes/readthedocs/fonts/fontawesome-webfont.svg" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/fontawesome-webfont.ttf" || RESULT=3
check-file "$BASE_DIR/themes/readthedocs/fonts/fontawesome-webfont.ttf" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/fontawesome-webfont.woff" || RESULT=3
check-file "$BASE_DIR/themes/readthedocs/fonts/fontawesome-webfont.woff" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/fontawesome-webfont.woff2" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/glyphicons-halflings-regular.eot" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/glyphicons-halflings-regular.svg" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/glyphicons-halflings-regular.ttf" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/glyphicons-halflings-regular.woff" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/fonts/glyphicons-halflings-regular.woff2" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/js/bootstrap-3.0.3.min.js" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/css/bootstrap-custom.min.css" || RESULT=3
check-file "$BASE_DIR/themes/mkdocs/js/jquery-1.10.2.min.js" || RESULT=3
check-file "$BASE_DIR/themes/readthedocs/js/jquery-2.1.1.min.js" || RESULT=3
check-file "$BASE_DIR/contrib/search/templates/search/lunr.js" || RESULT=3
check-file "$BASE_DIR/themes/readthedocs/js/modernizr-2.8.3.min.js" || RESULT=3
check-file "$BASE_DIR/themes/readthedocs/css/theme.css" || RESULT=3

echo "Checking mkdocs-doc links:"
BASE_DIR="/usr/share/doc/mkdocs/html"
check-file "$BASE_DIR/css/font-awesome.min.css" || RESULT=4
check-file "$BASE_DIR/fonts/fontawesome-webfont.eot" || RESULT=4
check-file "$BASE_DIR/fonts/FontAwesome.otf" || RESULT=4
check-file "$BASE_DIR/fonts/fontawesome-webfont.svg" || RESULT=4
check-file "$BASE_DIR/fonts/fontawesome-webfont.ttf" || RESULT=4
check-file "$BASE_DIR/fonts/fontawesome-webfont.woff" || RESULT=4
check-file "$BASE_DIR/fonts/fontawesome-webfont.woff2" || RESULT=4
check-file "$BASE_DIR/fonts/glyphicons-halflings-regular.eot" || RESULT=4
check-file "$BASE_DIR/fonts/glyphicons-halflings-regular.svg" || RESULT=4
check-file "$BASE_DIR/fonts/glyphicons-halflings-regular.ttf" || RESULT=4
check-file "$BASE_DIR/fonts/glyphicons-halflings-regular.woff" || RESULT=4
check-file "$BASE_DIR/fonts/glyphicons-halflings-regular.woff2" || RESULT=4
check-file "$BASE_DIR/js/bootstrap-3.0.3.min.js" || RESULT=4
check-file "$BASE_DIR/css/bootstrap-custom.min.css" || RESULT=4
check-file "$BASE_DIR/js/jquery-1.10.2.min.js" || RESULT=4
check-file "$BASE_DIR/search/lunr.js" || RESULT=4

exit "$RESULT"
